<?php

declare(strict_types=1);

namespace KupShop\KupShopBundle\Pager;

class PagerExtraItem
{
    public function __construct(
        public readonly int $countOnPage,
        public readonly ?int $max = null,
    ) {
    }

    public function getMax(): int
    {
        return $this->max ?: 9999;
    }
}
